petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexGetConeTuple

Return the points on the in-edges of several points in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeTuple(DM dm, IS p, PetscSection *pConesSection, IS *pCones)

Not collective

### Input Parameters

| dm | - The DMPlex
| p | - The IS of points, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

| pConesSection | - PetscSection describing the layout of pCones
| pCones | - An array of points which are on the in-edges for the point set p

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexGetConeRecursive(), DMPlexSetChart()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages